Loading...
Searching...
No Matches
Gudhi::zigzag_persistence::Default_zigzag_options Struct Reference
Zigzag Persistence

Default options for Zigzag_persistence. More...

`#include <include/gudhi/zigzag_persistence.h>`

## Public Types

using | Internal_key = int
using | Dimension = int

## Static Public Attributes

static const Gudhi::persistence_matrix::Column_types | column_type
| Column type use by the internal matrix.

## Detailed Description

Default options for Zigzag_persistence.

## Member Typedef Documentation

## Dimension

using Gudhi::zigzag_persistence::Default_zigzag_options::Dimension = int

Dimension value type.

## Internal_key

using Gudhi::zigzag_persistence::Default_zigzag_options::Internal_key = int

Cell ID used internally, must be signed.

The documentation for this struct was generated from the following file:

- include/gudhi/zigzag_persistence.h